using HarmonyLib;

namespace Escapists2 {
	[HarmonyPatch]
	public class XPPatch {
		[HarmonyPrefix]
		[HarmonyPatch(typeof(CharacterStats), "ModifyStat_Internal")]
		static void XPMulti(ref float change, ref HiddenFloat stat, ref float max) {
			change *= Main.xpMultiplier.Value;
		}
	}
}